<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'mavabc',

    /*
     * Package.
     */
    'package'   => 'solution',

    /*
     * Modules.
     */
    'modules'   => ['solutions'],

    
    'solutions'       => [
        'model' => [
            'model'                 => \Mavabc\Solution\Models\Solutions::class,
            'table'                 => 'solutions',
            'presenter'             => \Mavabc\Solution\Repositories\Presenter\SolutionsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'order',  'title',  'slug',  'status',  'user_id',  'description',  'upload_folder',  'images',  'icon',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'solution/solutions',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Mavabc',
            'package'   => 'Solution',
            'module'    => 'Solutions',
        ],

    ],
];
