<?php

namespace Mavabc\Solution\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SolutionsTransformer extends TransformerAbstract
{
    public function transform(\Mavabc\Solution\Models\Solutions $solutions)
    {
        return [
            'id'                => $solutions->getRouteKey(),
            'key'               => [
                'public'    => $solutions->getPublicKey(),
                'route'     => $solutions->getRouteKey(),
            ], 
            'id'                => $solutions->id,
            'order'             => $solutions->order,
            'title'             => $solutions->title,
            'slug'              => $solutions->slug,
            'status'            => $solutions->status,
            'user_id'           => $solutions->user_id,
            'description'       => $solutions->description,
            'upload_folder'     => $solutions->upload_folder,
            'images'            => $solutions->images,
            'icon'              => $solutions->icon,
            'created_at'        => $solutions->created_at,
            'updated_at'        => $solutions->updated_at,
            'deleted_at'        => $solutions->deleted_at,
            'url'               => [
                'public'    => trans_url('solution/'.$solutions->getPublicKey()),
                'user'      => guard_url('solution/solutions/'.$solutions->getRouteKey()),
            ], 
            'status'            => trans('app.'.$solutions->status),
            'created_at'        => format_date($solutions->created_at),
            'updated_at'        => format_date($solutions->updated_at),
        ];
    }
}