<?php

namespace Mavabc\Solution;

use User;

class Solution
{
    /**
     * $solutions object.
     */
    protected $solutions;

    /**
     * Constructor.
     */
    public function __construct(\Mavabc\Solution\Interfaces\SolutionsRepositoryInterface $solutions)
    {
        $this->solutions = $solutions;
    }

    /**
     * Returns count of solution.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.solutions.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->solutions->pushCriteria(new \Litepie\Mavabc\Repositories\Criteria\SolutionsUserCriteria());
        }

        $solutions = $this->solutions->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('solution::' . $view, compact('solutions'))->render();
    }
}
